IncludeExcludeSupport (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Groovy] Class IncludeExcludeSupport

    java.lang.Object
      org.codehaus.groovy.grails.support.IncludeExcludeSupport

    @groovy.transform.CompileStatic
    class IncludeExcludeSupport
    extends java.lang.Object

Simple support class for simplifying include/exclude handling

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`static java.lang.String` | `EXCLUDES_PROPERTY`
`static java.lang.String` | `INCLUDES_PROPERTY`
`java.util.List` | `defaultExcludes`
`java.util.List` | `defaultIncludes`

Constructor Summary
`IncludeExcludeSupport(java.util.List defaultIncludes = null, java.util.List defaultExcludes = [])`

Method Summary
`boolean` | `excludes(java.util.List excludes, java.lang.Object object)`
`boolean` | `includes(java.util.List includes, java.lang.Object object)`
`boolean` | `shouldInclude(java.util.List incs, java.util.List excs, java.lang.Object object)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### EXCLUDES_PROPERTY

    static final java.lang.String EXCLUDES_PROPERTY

### INCLUDES_PROPERTY

    static final java.lang.String INCLUDES_PROPERTY

### defaultExcludes

    java.util.List defaultExcludes

### defaultIncludes

    java.util.List defaultIncludes

Constructor Detail

### IncludeExcludeSupport

    IncludeExcludeSupport(java.util.List defaultIncludes = null, java.util.List defaultExcludes = [])

Method Detail

### excludes

    boolean excludes(java.util.List excludes, java.lang.Object object)

### includes

    boolean includes(java.util.List includes, java.lang.Object object)

### shouldInclude

    boolean shouldInclude(java.util.List incs, java.util.List excs, java.lang.Object object)

Groovy Documentation